package eu.nk2.drm.config

import org.springframework.beans.factory.annotation.Value
import org.springframework.boot.context.properties.ConfigurationProperties

@ConfigurationProperties(prefix = "drm")
class DrmServicePropertiesHolder {
    @Value("\${url:https://nk2.eu/paid/{package}}") var url: String? = null
    @Value("\${connectTimeoutMillis:5000}") var connectTimeoutMillis: Int? = null
    @Value("\${retryMaxAttempts:5}") var retryMaxAttempts: Long? = null
    @Value("\${retryTimeoutMillis:300000}") var retryTimeoutMillis: Long? = null
}
