package eu.nk2.utils

import java.net.URL
import java.util.jar.Manifest

fun Class<*>.getManifest(): Manifest {
    try {
        return Manifest(this.classLoader.getResourceAsStream("META-INF/MANIFEST.MF"))
    } catch (e: Exception) {
        throw RuntimeException("Loading MANIFEST for class $this failed!", e)
    }
}
