package eu.nk2.utils

operator fun <T: Any> Iterable<T>.get(range: IntProgression) = asSequence().run {
    range.mapNotNull { index -> elementAtOrNull(index) }
}

operator fun <T: Any> MutableList<T>.set(range: ClosedRange<Int>, from: Iterable<T>) {
    for (i in range.start..minOf(range.endInclusive, size - 1)) removeAt(range.start)
    addAll(range.start, from.toList())
}
