package eu.nk2.drm.utils

import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.context.ConfigurableApplicationContext


fun ConfigurableApplicationContext.getMainClass(): Class<*>? {
    val annotatedBeans: Map<String, Any> = this.getBeansWithAnnotation(SpringBootApplication::class.java)
    return if (annotatedBeans.isEmpty()) null else annotatedBeans.values.toTypedArray()[0].javaClass
}
