package eu.nk2.utils

import java.util.*
import kotlin.streams.asSequence

fun String.randomOf(length: Int) =
    Random().ints(length.toLong(), 0, this.length)
        .asSequence()
        .map(this::get)
        .joinToString("")
