package eu.nk2.utils

import java.util.regex.Matcher
import java.util.regex.Pattern

fun String.removeUrls(): String {
    var commentstr = this
    val urlPattern = "((https?|ftp|gopher|telnet|file|Unsure|http):((//)|(\\\\))+[\\w\\d:#@%/;$()~_?\\+-=\\\\\\.&]*)"
    val p: Pattern = Pattern.compile(urlPattern, Pattern.CASE_INSENSITIVE)
    val m: Matcher = p.matcher(commentstr)
    var i = 0
    while (m.find()) {
        commentstr = commentstr.replace(m.group(i).toRegex(), "").trim { it <= ' ' }
        i++
    }

    return commentstr
}
